Bug 437566 - ipa-addservice will fail if the realm is included in the principal name
ipa-addservice will fail if the realm is included in the principal name
Status: CLOSED ERRATA
Product: freeIPA
Classification: Community
Component: ipa-admintools (Show other bugs)
1.0
All Linux
high Severity high
: ---
: ---
Assigned To: Rob Crittenden
Chandrasekar Kannan
:
Depends On:
Blocks: 453489
  Show dependency treegraph
 
Reported: 2008-03-14 17:51 EDT by Rob Crittenden
Modified: 2015-01-04 18:31 EST (History)
3 users (show)

See Also:
Fixed In Version: freeipa-2.0.0-1.fc15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-27 03:16:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
allow realm to be included in add_service_principal() call (1.72 KB, patch)
2008-03-17 14:10 EDT, Rob Crittenden
no flags Details | Diff

  None (edit)
Description Rob Crittenden 2008-03-14 17:51:57 EDT
It is natural for people who know kerberos to include the realm name in the
principal name when requesting one from ipa-addservice.

Currently it will fail if the realm is included. What we should do instead is
drop the realm silently if it matches the IPA realm. It will make for a much
nicer user experience.
Comment 1 Rob Crittenden 2008-03-17 14:10:27 EDT
Created attachment 298290 [details]
allow realm to be included in add_service_principal() call
Comment 3 Jenny Galipeau 2008-11-19 09:46:30 EST
Fix verified:

[root@jennyv3 ~]# ipa-addservice nfs/jennyv4.bos.redhat.com@BOS.REDHAT.COM
[root@jennyv3 ~]# ipa-findservice jennyv4.bos.redhat.com
host/jennyv4.bos.redhat.com@BOS.REDHAT.COM
ssh/jennyv4.bos.redhat.com@BOS.REDHAT.COM
nfs/jennyv4.bos.redhat.com@BOS.REDHAT.COM

Note You need to log in before you can comment on or make changes to this bug.